Package jxl.demo

# Class ReadWrite

java.lang.Object
jxl.demo.ReadWrite

public class ReadWrite extends Object
Demo class which uses the api to read in a spreadsheet and generate a clone of that spreadsheet which contains the same data. If the spreadsheet read in is the spreadsheet called jxlrwtest.xls (provided with the distribution) then this class will modify certain fields in the copy of that spreadsheet. This is illustrating that it is possible to read in a spreadsheet, modify a few values, and write it under a new name.

## Constructor Summary

Constructors
Constructor
Description
`ReadWrite(String input, String output)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`readWrite()`
Reads in the inputFile and creates a writable copy of it called outputFile

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadWrite

public ReadWrite(String input, String output)
Constructor

Parameters:
  `input` -
  `output` -

## Method Details

### readWrite

public void readWrite() throws IOException, jxl.read.biff.BiffException, WriteException
Reads in the inputFile and creates a writable copy of it called outputFile

Throws:
  `IOException`
  `jxl.read.biff.BiffException`
  `WriteException`